--
-- Initialization data for the ExchangeSyncConnector module
--
-- @author Fabio Maggi
-- @version $Id: init_schema.sql,v 1.4 2004/05/13 08:10:23 luigiafassina Exp $
--


--
-- Source registration
--
delete from sync4j_sync_source_type where id='exc-ca-1.0';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ca-1.0','Exchange Calendar SyncSource','sync4j.exchange.engine.source.ExchangeCalendarSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-co-1.0';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-co-1.0','Exchange Contact SyncSource','sync4j.exchange.engine.source.ExchangeContactSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-no-1.0';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-no-1.0','Exchange Note SyncSource','sync4j.exchange.engine.source.ExchangeNoteSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');

delete from sync4j_sync_source_type where id='exc-ta-1.0';
insert into sync4j_sync_source_type(id, description, class, admin_class) values('exc-ta-1.0','Exchange Task SyncSource','sync4j.exchange.engine.source.ExchangeTaskSyncSource','sync4j.exchange.admin.ExchangeSyncSourceConfigPanel');


delete from sync4j_module where id='exc-1.0';
insert into sync4j_module (id, name, description) values('exc-1.0','Exchange-1.0','SyncConnector Exchange 1.0');

delete from sync4j_connector where id='exc-1.0';
insert into sync4j_connector(id, name, description, admin_class) values('exc-1.0','SyncConnectorExchange','SyncConnector Exchange','');

delete from sync4j_connector_source_type where connector='exc-1.0' and (sourcetype='exc-ca-1.0' or sourcetype='exc-co-1.0' or sourcetype='exc-no-1.0' or sourcetype='exc-ta-1.0' );
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.0','exc-ca-1.0');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.0','exc-co-1.0');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.0','exc-no-1.0');
insert into sync4j_connector_source_type(connector, sourcetype) values('exc-1.0','exc-ta-1.0');

delete from sync4j_module_connector where module='exc-1.0' and connector='exc-1.0';
insert into sync4j_module_connector(module, connector) values('exc-1.0','exc-1.0');
